"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getDef;
const conditional_required_json_1 = __importDefault(require("../schemas/conditional-required.json"));
function getDef() {
    return {
        keyword: 'conditionalRequired',
        macro: function (schema, parentSchema) {
            if (!schema) {
                return {};
            }
            const allOf = [];
            if (!Array.isArray(schema))
                schema = [schema];
            if (schema && Array.isArray(schema)) {
                schema.forEach(({ content, rule }) => {
                    if (content in parentSchema['properties']) {
                        allOf.push({
                            if: { jsonLogic: rule },
                            then: { required: [content] },
                        });
                    }
                });
                return { allOf };
            }
            return {};
        },
        metaSchema: conditional_required_json_1.default,
    };
}
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = getDef;
    module.exports.default = getDef;
}
//# sourceMappingURL=conditionalRequired.js.map