"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getDef;
const conditional_schema_json_1 = __importDefault(require("../schemas/conditional-schema.json"));
function getDef() {
    return {
        keyword: 'conditionalSchema',
        macro: function (schema) {
            if (!schema) {
                return {};
            }
            const allOf = [];
            if (!Array.isArray(schema))
                schema = [schema];
            if (schema && Array.isArray(schema)) {
                schema.forEach(({ rule, schema: childSchema }) => {
                    allOf.push({
                        if: { jsonLogic: rule },
                        then: childSchema,
                    });
                });
                return { allOf };
            }
            return {};
        },
        metaSchema: conditional_schema_json_1.default,
    };
}
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = getDef;
    module.exports.default = getDef;
}
//# sourceMappingURL=conditionalSchema.js.map