"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = getDef;
const json_logic_js_1 = __importDefault(require("json-logic-js"));
const json_logic_json_1 = __importDefault(require("../schemas/json-logic.json"));
function getDef() {
    return {
        keyword: 'jsonLogic',
        validate: function (logicRule, data) {
            try {
                return !!json_logic_js_1.default.apply(logicRule, data);
            }
            catch (e) {
                return false;
            }
        },
        errors: false,
        metaSchema: json_logic_json_1.default,
    };
}
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = getDef;
    module.exports.default = getDef;
}
//# sourceMappingURL=jsonLogic.js.map