"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const index_1 = __importDefault(require("./schemas/index"));
const conditionalRequired_1 = __importDefault(require("./definitions/conditionalRequired"));
const jsonLogic_1 = __importDefault(require("./definitions/jsonLogic"));
const conditionalSchema_1 = __importDefault(require("./definitions/conditionalSchema"));
/**
 * Adds JSON Logic support to Ajv
 * @param ajv The Ajv instance to extend
 * @returns The extended Ajv instance
 */
function ajvJsonLogic(ajv) {
    // Add all schemas
    ajv.addSchema(index_1.default);
    // Add the jsonLogic keyword
    ajv.addKeyword((0, jsonLogic_1.default)());
    // Add the conditionalRequired keyword
    ajv.addKeyword((0, conditionalRequired_1.default)());
    // Add the conditionalSchema keyword
    ajv.addKeyword((0, conditionalSchema_1.default)());
    return ajv;
}
// Support both CommonJS and ES modules
exports.default = ajvJsonLogic;
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = ajvJsonLogic;
    module.exports.default = ajvJsonLogic;
}
//# sourceMappingURL=main.js.map