"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// Common schemas index
const all_operators_json_1 = __importDefault(require("./all-operators.json"));
const all_types_wo_array_json_1 = __importDefault(require("./all-types-wo-array.json"));
const all_types_json_1 = __importDefault(require("./all-types.json"));
const any_wo_array_json_1 = __importDefault(require("./any-wo-array.json"));
const any_json_1 = __importDefault(require("./any.json"));
const binary_args_json_1 = __importDefault(require("./binary-args.json"));
const no_logic_object_json_1 = __importDefault(require("./no-logic-object.json"));
const one_or_more_args_json_1 = __importDefault(require("./one-or-more-args.json"));
const pointer_json_1 = __importDefault(require("./pointer.json"));
const trinary_args_json_1 = __importDefault(require("./trinary-args.json"));
const unary_arg_json_1 = __importDefault(require("./unary-arg.json"));
const var_json_1 = __importDefault(require("./var.json"));
const commonSchemas = [
    any_json_1.default,
    any_wo_array_json_1.default,
    all_types_json_1.default,
    all_types_wo_array_json_1.default,
    binary_args_json_1.default,
    trinary_args_json_1.default,
    unary_arg_json_1.default,
    one_or_more_args_json_1.default,
    var_json_1.default,
    pointer_json_1.default,
    no_logic_object_json_1.default,
    all_operators_json_1.default,
];
// Support both CommonJS and ES modules
exports.default = commonSchemas;
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = commonSchemas;
    module.exports.default = commonSchemas;
}
// see https://github.com/axa-ch/json-logic-js/tree/master/schemas/common
//# sourceMappingURL=index.js.map