"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
// Operators schemas index
const missing_json_1 = __importDefault(require("./accessor/missing.json"));
const missing_some_json_1 = __importDefault(require("./accessor/missing_some.json"));
const variable_json_1 = __importDefault(require("./accessor/variable.json"));
const add_json_1 = __importDefault(require("./arithmetic/add.json"));
const divide_json_1 = __importDefault(require("./arithmetic/divide.json"));
const modulo_json_1 = __importDefault(require("./arithmetic/modulo.json"));
const multiply_json_1 = __importDefault(require("./arithmetic/multiply.json"));
const subtract_json_1 = __importDefault(require("./arithmetic/subtract.json"));
const all_json_1 = __importDefault(require("./array/all.json"));
const filter_json_1 = __importDefault(require("./array/filter.json"));
const map_json_1 = __importDefault(require("./array/map.json"));
const merge_json_1 = __importDefault(require("./array/merge.json"));
const none_json_1 = __importDefault(require("./array/none.json"));
const reduce_json_1 = __importDefault(require("./array/reduce.json"));
const some_json_1 = __importDefault(require("./array/some.json"));
const and_json_1 = __importDefault(require("./logic/and.json"));
const equal_json_1 = __importDefault(require("./logic/equal.json"));
const if_json_1 = __importDefault(require("./logic/if.json"));
const not_json_1 = __importDefault(require("./logic/not.json"));
const notEqual_json_1 = __importDefault(require("./logic/notEqual.json"));
const notnot_json_1 = __importDefault(require("./logic/notnot.json"));
const or_json_1 = __importDefault(require("./logic/or.json"));
const strictEqual_json_1 = __importDefault(require("./logic/strictEqual.json"));
const strictNotEqual_json_1 = __importDefault(require("./logic/strictNotEqual.json"));
const in_json_1 = __importDefault(require("./misc/in.json"));
const log_json_1 = __importDefault(require("./misc/log.json"));
const method_json_1 = __importDefault(require("./misc/method.json"));
const greater_json_1 = __importDefault(require("./numeric/greater.json"));
const greaterEqual_json_1 = __importDefault(require("./numeric/greaterEqual.json"));
const less_json_1 = __importDefault(require("./numeric/less.json"));
const lessEqual_json_1 = __importDefault(require("./numeric/lessEqual.json"));
const max_json_1 = __importDefault(require("./numeric/max.json"));
const min_json_1 = __importDefault(require("./numeric/min.json"));
const cat_json_1 = __importDefault(require("./string/cat.json"));
const substr_json_1 = __importDefault(require("./string/substr.json"));
const operatorSchemas = [
    missing_json_1.default,
    missing_some_json_1.default,
    variable_json_1.default,
    add_json_1.default,
    divide_json_1.default,
    modulo_json_1.default,
    multiply_json_1.default,
    subtract_json_1.default,
    all_json_1.default,
    filter_json_1.default,
    map_json_1.default,
    merge_json_1.default,
    none_json_1.default,
    reduce_json_1.default,
    some_json_1.default,
    and_json_1.default,
    equal_json_1.default,
    if_json_1.default,
    not_json_1.default,
    notEqual_json_1.default,
    notnot_json_1.default,
    or_json_1.default,
    strictEqual_json_1.default,
    strictNotEqual_json_1.default,
    in_json_1.default,
    log_json_1.default,
    method_json_1.default,
    greater_json_1.default,
    greaterEqual_json_1.default,
    less_json_1.default,
    lessEqual_json_1.default,
    max_json_1.default,
    min_json_1.default,
    cat_json_1.default,
    substr_json_1.default,
];
// Support both CommonJS and ES modules
exports.default = operatorSchemas;
// For CommonJS compatibility
if (typeof module !== 'undefined' && typeof module.exports !== 'undefined') {
    module.exports = operatorSchemas;
    module.exports.default = operatorSchemas;
}
// see https://github.com/axa-ch/json-logic-js/tree/master/schemas/operators
//# sourceMappingURL=index.js.map