declare const commonSchemas: ({
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: {
        $ref: string;
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: ({
        type: string[];
        $ref?: undefined;
    } | {
        $ref: string;
        type?: undefined;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: ({
        title: string;
        type: string;
        maxProperties: number;
        allOf?: undefined;
        minProperties?: undefined;
    } | {
        title: string;
        allOf: ({
            type: string;
            minProperties: number;
            maxProperties: number;
            not?: undefined;
        } | {
            not: {
                type: string;
                minProperties: number;
                maxProperties: number;
                oneOf: {
                    required: string[];
                }[];
            };
            type?: undefined;
            minProperties?: undefined;
            maxProperties?: undefined;
        })[];
        type?: undefined;
        maxProperties?: undefined;
        minProperties?: undefined;
    } | {
        title: string;
        type: string;
        minProperties: number;
        maxProperties?: undefined;
        allOf?: undefined;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: ({
        title: string;
        description: string;
        type: string;
        items: {
            $ref: string;
        };
        $ref?: undefined;
    } | {
        $ref: string;
        title: string;
        description: string;
        type?: undefined;
        items?: undefined;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: ({
        type: string;
        title: string;
        description: string;
        minLength: number;
        minimum?: undefined;
    } | {
        type: string;
        title: string;
        description: string;
        minimum: number;
        minLength?: undefined;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: ({
        type: string;
        items: ({
            oneOf: {
                $ref: string;
            }[];
            $ref?: undefined;
            title?: undefined;
            description?: undefined;
        } | {
            $ref: string;
            title: string;
            description: string;
            oneOf?: undefined;
        })[];
        $ref?: undefined;
        title?: undefined;
        description?: undefined;
        const?: undefined;
    } | {
        $ref: string;
        type?: undefined;
        items?: undefined;
        title?: undefined;
        description?: undefined;
        const?: undefined;
    } | {
        $ref: string;
        title: string;
        description: string;
        type?: undefined;
        items?: undefined;
        const?: undefined;
    } | {
        type: string;
        const: string;
        title: string;
        description: string;
        items?: undefined;
        $ref?: undefined;
    } | {
        type: string;
        title: string;
        description: string;
        items?: undefined;
        $ref?: undefined;
        const?: undefined;
    })[];
})[];
export default commonSchemas;
