declare const operatorSchemas: ({
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        missing: {
            $ref: string;
        };
    };
    examples: ({
        missing: string[];
        if?: undefined;
    } | {
        if: (string | {
            missing: string[];
        })[];
        missing?: undefined;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        missing_some: {
            type: string;
            minItems: number;
            maxItems: number;
            items: ({
                type: string;
                title: string;
                description: string;
                $ref?: undefined;
            } | {
                $ref: string;
                description: string;
                type?: undefined;
                title?: undefined;
            })[];
        };
    };
    examples: {
        missing_some: (number | string[])[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        var: {
            $ref: string;
        };
    };
    examples: ({
        var: (string | number)[];
    } | {
        var: string;
    } | {
        var: number;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "+": {
            $ref: string;
        };
    };
    examples: ({
        "+": number[];
    } | {
        "+": string;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "/": {
            $ref: string;
        };
    };
    examples: {
        "/": number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "%": {
            $ref: string;
        };
    };
    examples: {
        "%": number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "*": {
            $ref: string;
        };
    };
    examples: {
        "*": number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "-": {
            $ref: string;
        };
    };
    examples: ({
        "-": number[];
    } | {
        "-": number;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        all: {
            $ref: string;
        };
    };
    examples: {
        all: (number[] | {
            ">": (number | {
                var: string;
            })[];
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        filter: {
            $ref: string;
        };
    };
    examples: {
        filter: ({
            var: string;
            "%"?: undefined;
        } | {
            "%": (number | {
                var: string;
            })[];
            var?: undefined;
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        map: {
            $ref: string;
        };
    };
    examples: {
        map: ({
            var: string;
            "*"?: undefined;
        } | {
            "*": (number | {
                var: string;
            })[];
            var?: undefined;
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        merge: {
            $ref: string;
        };
    };
    examples: {
        merge: (number | number[])[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        none: {
            $ref: string;
        };
    };
    examples: {
        none: (number[] | {
            ">": (number | {
                var: string;
            })[];
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        reduce: {
            $ref: string;
        };
    };
    examples: {
        reduce: (number | {
            var: string;
            "+"?: undefined;
        } | {
            "+": {
                var: string;
            }[];
            var?: undefined;
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        some: {
            $ref: string;
        };
    };
    examples: ({
        some: (number[] | {
            ">": (number | {
                var: string;
            })[];
        })[];
    } | {
        some: ({
            var: string;
            "=="?: undefined;
        } | {
            "==": (string | {
                var: string;
            })[];
            var?: undefined;
        })[];
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        and: {
            $ref: string;
        };
    };
    examples: {
        and: (string | number | boolean)[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "==": {
            $ref: string;
        };
    };
    examples: ({
        "==": (string | number)[];
    } | {
        "==": (number | boolean)[];
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    oneOf: ({
        type: string;
        additionalProperties: boolean;
        required: string[];
        properties: {
            if: {
                $ref: string;
            };
            "?:"?: undefined;
        };
    } | {
        type: string;
        additionalProperties: boolean;
        required: string[];
        properties: {
            "?:": {
                $ref: string;
            };
            if?: undefined;
        };
    })[];
    examples: ({
        if: (string | boolean)[];
    } | {
        if: (string | {
            "<": (number | {
                var: string;
            })[];
        })[];
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "!": {
            $ref: string;
        };
    };
    examples: ({
        "!": boolean[];
    } | {
        "!": boolean;
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "!=": {
            $ref: string;
        };
    };
    examples: {
        "!=": (string | number)[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "!!": {
            $ref: string;
        };
    };
    examples: ({
        "!!": never[][];
    } | {
        "!!": string[];
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        or: {
            $ref: string;
        };
    };
    examples: {
        or: (string | number | boolean)[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "===": {
            $ref: string;
        };
    };
    examples: {
        "===": (string | number)[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "!==": {
            $ref: string;
        };
    };
    examples: {
        "!==": (string | number)[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        in: {
            $ref: string;
        };
    };
    examples: {
        in: string[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        log: {
            $ref: string;
        };
    };
    examples: {
        log: string;
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        method: {
            $ref: string;
        };
    };
    examples: ({
        method: (string | {
            var: string;
        })[];
    } | {
        method: (string | number[])[];
    })[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        ">": {
            $ref: string;
        };
    };
    examples: {
        ">": number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        ">=": {
            $ref: string;
        };
    };
    examples: {
        ">=": number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "<": {
            $ref: string;
        };
    };
    examples: {
        "<": (number | {
            var: string;
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        "<=": {
            $ref: string;
        };
    };
    examples: {
        "<=": (number | {
            var: string;
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        max: {
            $ref: string;
        };
    };
    examples: {
        max: number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        min: {
            $ref: string;
        };
    };
    examples: {
        min: number[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        cat: {
            $ref: string;
        };
    };
    examples: {
        cat: (string | {
            var: string;
        })[];
    }[];
} | {
    $schema: string;
    $id: string;
    title: string;
    description: string;
    type: string;
    additionalProperties: boolean;
    required: string[];
    properties: {
        substr: {
            $ref: string;
        };
    };
    examples: {
        substr: (string | number)[];
    }[];
})[];
export default operatorSchemas;
